#!/usr/bin/env python3

import random
import time

from manager import QueueClient


class Boss(QueueClient):
    def run(self):
        while True:
            task = random.randint(5, 1e4)
            print('new task:', task)
            self.queue.put(task)
            print('tasks left:', self.queue.qsize())
            time.sleep(random.randint(1, 2))


if __name__ == '__main__':
    Boss().run()
